Skip to main content
PUT
/
gst
/
compliance
/
e-way-bill
/
transporter
/
bill
/
{ewb_no}
/
vehicle
curl --request PUT \ --url https://api.sandbox.co.in/gst/compliance/e-way-bill/transporter/bill/{ewb_no}/vehicle \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "ewbNo": 231010079649, "vehicleNo": "PQR1234", "fromPlace": "BANGALORE", "fromState": 29, "reasonCode": "1", "reasonRem": "vehicle broke down", "transDocNo": "1234", "transDocDate": "12/10/2017", "transMode": "1", "vehicleType": "R" } '
{ "code": 200, "data": { "alert": null, "data": { "validUpto": "18/05/2024 11:59:00 PM", "vehUpdDate": "13/05/2024 01:06:00 PM" }, "status": "1" }, "timestamp": 1763446641000, "transaction_id": "a2eecefe-3938-40ec-836f-b3cb5cee90e7" }

Request body schema

View request body schema

Headers

authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

ewb_no
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

200 Part B updated / 726 Vehicle type can not be regular / 361 Invalid Vehicle Type

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"a2eecefe-3938-40ec-836f-b3cb5cee90e7"